<!DOCTYPE html>
<html>
  <head>
    <title>ToDo List</title>
    <style>
      html {
        box-sizing: border-box;
      }
      .wrapper {
        width: 400px;
        min-height: 100vh;
        margin: 100px auto;
        background-color: yellowgreen;

        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
      }
      .item-list {
        width: 100%;
        background-color: green;
        list-style: none;
        padding: 0;
      }
      .add-form .add-input {
        border: 0;
        padding: 15px;
      }
      .add-form .add-button {
        border: 0;
        padding: 15px;
      }
    </style>
  </head>
  <body>
    <div class="wrapper">
      <ul class="item-list" id="item-list"></ul>
      <form class="add-form">
        <input type="text" class="add-input" placeholder="to do something" />
        <input type="submit" class="add-button" name="submit-button" value="add" />
      </form>
    </div>

    <script>
      //
      const form = document.querySelector(".add-form");
      const content = document.querySelector(".add-input");
      const button = document.querySelector(".add-button");
      const list = document.querySelector("#item-list");

      //
      function addList(e) {
        e.preventDefault();

        //
        const li = document.createElement("li");
        //
        li.innerHTML = `
          <input type="checkbox" /><div id="val">${content.value}</div>
        `;

        list.appendChild(li);

        function show() {
          console.log(this.nextSibling);
        }

        li.querySelector("input").addEventListener("click", show);
      }

      //
      form.addEventListener("submit", addList);
    </script>
  </body>
</html>
